//	ResourceManagerInit.cpp
//	----------------------------------------------------------------------------
//	File generated automatically by Niall's AVLib Resource Generator.
//	----------------------------------------------------------------------------

#include "ResourceManager.h"
#include "TextureAtlas.h"
#include "SingleImage.h"
#include "FilePath.h"
#include "Shader.h"
#include "Font.h"

#include "Background.h"
#include "MainAtlas.h"

//------------------------------------------------------------------------------
void ResourceManager::initialiseResources()
{
	registerSingleImage(shared_ptr<SingleImage>(new Background()));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"Chunk.ttf"), 24, L"Font0")));
	registerFont(FontPtr(new Font(FilePath::getDataFilesDir().getChild(L"fonts").getChild(L"Chunk.ttf"), 48, L"Font1")));
	registerTextureAtlas(shared_ptr<TextureAtlas>(new MainAtlas()));
}
